E-invoice
Read-only — e-invoices, series, summary reports and settings.
5 endpoints · base /api/v1/einvoice
List e-invoices.
MCP tool:
einvoice_list_invoicesScope: einvoice.invoices.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
pageNumber | int | query | no | Page (starts at 1) |
pageSize | int | query | no | Rows per page |
status | string | query | no | — |
fromDate | date | query | no | YYYY-MM-DD |
toDate | date | query | no | YYYY-MM-DD |
keyword | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/einvoice/invoices?pageNumber=1&pageSize=1&status=...&fromDate=2026-06-01&toDate=2026-06-01&keyword=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"workspaceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"invoiceContext": "SalesInvoice",
"providerCode": "Misa",
"seriesId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"invoiceNumber": "string",
"invoiceSeriesCode": "string",
"cqtCode": "string",
"status": "DRAFT",
"referenceType": "string",
"referenceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"referenceCode": "string",
"invoiceDate": "2026-10-27",
"taxPeriod": "string",
"buyerName": "string",
"buyerTaxCode": "string",
"buyerAddress": "string",
"buyerPhone": "string",
"buyerEmail": "string",
"buyerIdNo": "string",
"buyerIdType": "string",
"subtotal": 0,
"vatRate": 0,
"vatAmount": 0,
"total": 0,
"currency": "string",
"paymentMethodLabel": "string",
"errorMessage": "string",
"cancelReason": "string",
"issuedAt": "2026-10-27T09:00:00+07:00",
"createdAt": "2026-10-27T09:00:00+07:00",
"updatedAt": "2026-10-27T09:00:00+07:00",
"branchId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"buyerContactName": "string",
"sentAt": "2026-10-27T09:00:00+07:00",
"invoiceDateManual": false
}
],
"totalCount": 0,
"page": 0,
"pageSize": 0,
"totalPages": 0,
"hasNextPage": false,
"hasPreviousPage": false
}Details of one e-invoice (with line items).
MCP tool:
einvoice_get_invoiceScope: einvoice.invoices.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
id | GUID | path | yes | — |
Example
curl https://api.nextx.vn/api/v1/einvoice/invoices/<id> \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"invoice": {
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"workspaceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"invoiceContext": "SalesInvoice",
"providerCode": "Misa",
"seriesId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"invoiceNumber": "string",
"invoiceSeriesCode": "string",
"cqtCode": "string",
"status": "DRAFT",
"referenceType": "string",
"referenceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"referenceCode": "string",
"invoiceDate": "2026-10-27",
"taxPeriod": "string",
"buyerName": "string",
"buyerTaxCode": "string",
"buyerAddress": "string",
"buyerPhone": "string",
"buyerEmail": "string",
"buyerIdNo": "string",
"buyerIdType": "string",
"subtotal": 0,
"vatRate": 0,
"vatAmount": 0,
"total": 0,
"currency": "string",
"paymentMethodLabel": "string",
"errorMessage": "string",
"cancelReason": "string",
"issuedAt": "2026-10-27T09:00:00+07:00",
"createdAt": "2026-10-27T09:00:00+07:00",
"updatedAt": "2026-10-27T09:00:00+07:00",
"branchId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"buyerContactName": "string",
"sentAt": "2026-10-27T09:00:00+07:00",
"invoiceDateManual": false
},
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"lineNumber": 0,
"productCode": "string",
"description": "string",
"unit": "string",
"quantity": 0,
"unitPrice": 0,
"discountPct": 0,
"lineSubtotal": 0,
"vatRate": 0,
"vatAmount": 0,
"lineTotal": 0
}
]
}List invoice series/symbols.
MCP tool:
einvoice_list_seriesScope: einvoice.series.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
providerCode | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/einvoice/series?providerCode=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
[
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"workspaceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"providerConfigId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"providerCode": "Misa",
"templateNo": "string",
"seriesCode": "string",
"fullCode": "string",
"invoiceType": "VAT",
"kind": "Vat",
"formKind": "Normal",
"hasTaxAuthorityCode": false,
"year": 0,
"registeredAt": "2026-10-27",
"fromNumber": 0,
"currentNumber": 0,
"isActive": false,
"isDefault": false,
"notes": "string",
"createdAt": "2026-10-27T09:00:00+07:00",
"updatedAt": "2026-10-27T09:00:00+07:00"
}
]E-invoice report summary for a date range.
MCP tool:
einvoice_get_report_summaryScope: einvoice.reports.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
fromDate | date | query | no | YYYY-MM-DD |
toDate | date | query | no | YYYY-MM-DD |
Example
curl https://api.nextx.vn/api/v1/einvoice/reports/summary?fromDate=2026-06-01&toDate=2026-06-01 \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"totalAll": 0,
"totalIssued": 0,
"totalPending": 0,
"totalDraft": 0,
"totalError": 0,
"totalCancelled": 0,
"totalAmount": 0,
"totalTaxAmount": 0,
"bySource": [
{
"source": "string",
"count": 0,
"amount": 0
}
],
"periodFrom": "2026-10-27",
"periodTo": "2026-10-27"
}E-invoice settings of the workspace.
MCP tool:
einvoice_get_settingsScope: einvoice.settings.viewUser OAuthAPI key / appParameter
No parameters.
Example
curl https://api.nextx.vn/api/v1/einvoice/settings \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
[
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"workspaceId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"branchId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"invoiceContext": "SalesInvoice",
"providerCode": "Misa",
"displayName": "string",
"isActive": false,
"isTestMode": false,
"autoIssueEnabled": false,
"autoIssueHour": 0,
"issuerTaxCode": "string",
"issuerName": "string",
"issuerAddress": "string",
"issuerPhone": "string",
"issuerEmail": "string",
"issuerBankName": "string",
"issuerBankAccount": "string",
"defaultVatRate": 0,
"configPublic": {},
"createdAt": "2026-10-27T09:00:00+07:00",
"updatedAt": "2026-10-27T09:00:00+07:00"
}
]